# std::vector<T,Allocator>::capacity

From cppreference.com
< cpp‎ | container‎ | vector

size_type capacity() const; |  | (until C++11)
size_type capacity() const noexcept; |  | (since C++11)

Returns the number of elements that the container has currently allocated space for.

### Parameters

(none)

### Return value

Capacity of the currently allocated storage.

### Complexity

Constant.

### See also

size | returns the number of elements (public member function)
reserve | reserves storage (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/vector/capacity&oldid=94075"